Problem Classifications - Classify Problems

Classify the right problem classifications (categories) available for a specific Azure service.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Support/services/{problemServiceName}/classifyProblems?api-version=2026-07-01

URI Parameters

Name In Required Type Description
problemServiceName
path True

string

pattern: ^[0-9a-zA-Z_\-. ]+$

Name of the Azure service for which the problem classifications need to be retrieved.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
issueSummary True

string

Natural language description of the customer’s issue.

resourceId

string (arm-id)

ARM resource Id of the resource that is having the issue.

Responses

Name Type Description
200 OK

ProblemClassificationsClassificationOutput

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Classify list of problemClassifications for a specified Azure service for a subscription

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Support/services/serviceId1/classifyProblems?api-version=2026-07-01

{
  "issueSummary": "Can not connect to Windows VM",
  "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgname/providers/Microsoft.Compute/virtualMachines/vmname"
}

Sample response

{
  "problemClassificationResults": [
    {
      "problemId": "problemId1",
      "title": "Problem classification title",
      "description": "Problem classification description",
      "serviceId": "serviceId1",
      "problemClassificationId": "problemClassificationId1",
      "relatedService": {
        "serviceId": "/providers/Microsoft.Support/services/40ef020e-8ae7-8d57-b538-9153c47cee69",
        "displayName": "SQL Server in VM - Linux",
        "resourceTypes": [
          "MICROSOFT.CLASSICCOMPUTE/VIRTUALMACHINES",
          "MICROSOFT.COMPUTE/VIRTUALMACHINES"
        ]
      },
      "articleId": "articleId1"
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProblemClassificationsClassificationInput

Input to problem classification Classification API.

ProblemClassificationsClassificationOutput

Output of the problem classification Classification API.

ProblemClassificationsClassificationResult

ProblemClassification Classification result object.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProblemClassificationsClassificationInput

Input to problem classification Classification API.

Name Type Description
issueSummary

string

Natural language description of the customer’s issue.

resourceId

string (arm-id)

ARM resource Id of the resource that is having the issue.

ProblemClassificationsClassificationOutput

Output of the problem classification Classification API.

Name Type Description
problemClassificationResults

ProblemClassificationsClassificationResult[]

Set of problem classification objects classified.

ProblemClassificationsClassificationResult

ProblemClassification Classification result object.

Name Type Description
articleId

string

Identifier of the article associated with this problem classification result. This value is populated only when a related article is available; otherwise it is omitted.

description

string

Description of the problem classification result.

problemClassificationId

string

Identifier that may be used for support ticket creation.

problemId

string

Identifier that may be used for solution discovery or some other purposes.

relatedService.displayName

string

Localized name of the azure service.

relatedService.resourceTypes

string[]

List of applicable ARM resource types for this service.

relatedService.serviceId

string (arm-id)

Azure resource Id of the service.

serviceId

string

Identifier of the service associated with this problem classification result.

title

string

Title of the problem classification result.